stages:
  - build
  - test
  - package-build
  - package-test
  - infra
  - deploy
  - acceptance
  - publish
  - infra-prod
  - production

variables:
  AUTODEPLOY_TO_PROD: "true"
  BANDIT_ENABLED: "true"
  DOCKER_LINT_ENABLED: "true"
  PYLINT_ENABLED: "true"
  PYTEST_ENABLED: "true"
  SAFETY_ENABLED: "true"
  PYTHON_POETRY_DISABLED: "true"
  BANDIT_ARGS: "--recursive . --configfile bandit.yaml"

include:
  - project: 'to-be-continuous/python'
    ref: '2.2.0'
    file: '/templates/gitlab-ci-python.yml'
  - project: 'to-be-continuous/docker'
    ref: '2.1.2'
    file: '/templates/gitlab-ci-docker.yml'

py-lint:
  variables:
    REQUIREMENTS_FILE: pylint-requirements.txt
